//---------------------------------------------------------------------------
#pragma hdrstop
#include "CalcCRC.h"    //    CRC
//---------------------------------------------------------------------------
#pragma package(smart_init)
//---------------------------------------------------------------------------
//---  CRC8 -------------------------------------------------------
//---------------------------------------------------------------------------
unsigned char CalcCRC8(unsigned char CRC8, unsigned char ByteWithNextBit)
{ unsigned char Poly, Temp, Temp2;

  Poly=0x31;                    //   CRC8

  // CRC8
  Temp=CRC8&0x80;               //    CRC8
  CRC8=CRC8<<1;                 //  CRC 
  Temp2=ByteWithNextBit&1;      //     ,     
  CRC8=CRC8|Temp2;              //       CRC8 (    - CRC8      0)
  if(Temp)                      //    =1
        CRC8=CRC8^Poly;
  return CRC8;
}
//---------------------------------------------------------------------------
//---  CRC16 ------------------------------------------------------
//---------------------------------------------------------------------------
unsigned short int CalcCRC16(unsigned short int CRC16, unsigned char InputByte)
{ unsigned short int Poly16, Temp, Temp2;

  Poly16=0x8005;                //   CRC16

  //  CRC16
  for(int i=0; i<8; i++)
  { Temp=CRC16&0x8000;      //   ()  CRC
    CRC16=CRC16<<1;         //  CRC 
    Temp2=InputByte&1;      //     
    CRC16=CRC16|Temp2;      //     CRC     
    if(Temp)                //    =1
      CRC16=CRC16^Poly16;   //    CRC  = 1,   XOR CRC  
    InputByte=InputByte>>1; //    
  }
  return CRC16;
}
//---------------------------------------------------------------------------
