//---------------------------------------------------------------------------
#ifndef ChipFunctionsH
#define ChipFunctionsH
//---------------------------------------------------------------------------
#include <Classes.hpp>
//---------------------------------------------------------------------------
void InitChip(unsigned char);   //   
void InitArea(unsigned int);    //     FF-
void LoadFromBinFileToMemory(AnsiString);       //    bin-  
void LoadFromHexFileToMemory(AnsiString);       //    hex-  
void SaveFromMemoryToBinFile(AnsiString);       //      bin-
void SaveFromMemoryToHexFile(AnsiString);       //      hex-
//---------------------------------------------------------------------------
struct chip { AnsiString Name, ImageName;
              unsigned char ROM[8], Family, Modify;                             // DS2430A      DS2431
              unsigned int Area1Start, Area1Size; unsigned char Area1[65536];   // Data         Data
              unsigned int Area2Start, Area2Size; unsigned char Area2[65536];   // Data Sp      Registers
              unsigned int Area3Start, Area3Size; unsigned char Area3[65536];   // Registers    Scratchpad
              unsigned int Area4Start, Area4Size; unsigned char Area4[65536];}; // Regist. Sp   -/-
//---------------------------------------------------------------------------
//---    ----------------------------------
//---------------------------------------------------------------------------
extern struct chip SelectedChip;
//---------------------------------------------------------------------------
#endif
