//---------------------------------------------------------------------------
#ifndef DS1992H
#define DS1992H
//---------------------------------------------------------------------------
#include <Classes.hpp>
//---------------------------------------------------------------------------
//        
struct  DS1992_INPUT_DATA{      unsigned char TA1;              //   
                                unsigned char TA2;              //   
                                unsigned char ES;               //  
                                unsigned int  Size;             //     
                                unsigned int  AreaNumber;};     //          
//        
struct  DS1992_OUTPUT_DATA{     unsigned char TA1;              //   
                                unsigned char TA2;              //   
                                unsigned char ES;               //  
                                unsigned char Test;             //  
                                bool Success;};                 //    

DS1992_OUTPUT_DATA DS1992_WriteToScratchpad(DS1992_INPUT_DATA);         //    Scratchpad (0x0F) (  1, 2)
DS1992_OUTPUT_DATA DS1992_ReadFromScratchpad();                         //    Scratchpad (0xAA) (   2)
DS1992_OUTPUT_DATA DS1992_CopyScratchpadToMemory(DS1992_INPUT_DATA);    //    Scratchpad  EEPROM (0x55)
DS1992_OUTPUT_DATA DS1992_ReadFromMemory(DS1992_INPUT_DATA);            //     (0xF0) (   1)
//---------------------------------------------------------------------------
#endif
 