//---------------------------------------------------------------------------
#ifndef DS1994H
#define DS1994H
//---------------------------------------------------------------------------
#include <Classes.hpp>
//---------------------------------------------------------------------------
//        
struct  DS1994_INPUT_DATA{      unsigned char TA1;              //   
                                unsigned char TA2;              //   
                                unsigned char ES;               //  
                                unsigned int  Size;             //     
                                unsigned int  AreaNumber;};     //          
//        
struct  DS1994_OUTPUT_DATA{     unsigned char TA1;              //   
                                unsigned char TA2;              //   
                                unsigned char ES;               //  
                                unsigned char Test;             //  
                                bool Success;};                 //    

DS1994_OUTPUT_DATA DS1994_WriteToScratchpad(DS1994_INPUT_DATA);         //    Scratchpad (0x0F) (  1, 2, 3)
DS1994_OUTPUT_DATA DS1994_ReadFromScratchpad();                         //    Scratchpad (0xAA) (   3)
DS1994_OUTPUT_DATA DS1994_CopyScratchpadToMemory(DS1994_INPUT_DATA);    //    Scratchpad  EEPROM (0x55)
DS1994_OUTPUT_DATA DS1994_ReadFromMemory(DS1994_INPUT_DATA);            //     (0xF0) (  1, 2)
//---------------------------------------------------------------------------
#endif
 