//---------------------------------------------------------------------------
#ifndef DS2890H
#define DS2890H
//---------------------------------------------------------------------------
#include <Classes.hpp>
//---------------------------------------------------------------------------
//      
struct  DS2890_INPUT_DATA{      unsigned char Position;         //  
                                unsigned char Control;};        //  Control

//        
struct  DS2890_OUTPUT_DATA{     unsigned char Position;         //   Position
                                unsigned char Control;          //   Control
                                unsigned char Feature;          //   Feature
                                unsigned char Test;             //   (    ,  reset)
                                bool Success;};                 //    

DS2890_OUTPUT_DATA DS2890_ReadPosition();                       //    (Read Position 0xF0)
DS2890_OUTPUT_DATA DS2890_WritePosition(DS2890_INPUT_DATA);     //    (Write Position 0x0F)
DS2890_OUTPUT_DATA DS2890_Increment();                          //    (Increment 0xC3)
DS2890_OUTPUT_DATA DS2890_Decrement();                          //    (Decrement 0x99)
DS2890_OUTPUT_DATA DS2890_WriteControl(DS2890_INPUT_DATA);      //   Control (Write Control Register 0x55)
DS2890_OUTPUT_DATA DS2890_ReadControl();                        //   Control (Read Control Register 0xAA)
//---------------------------------------------------------------------------
#endif
