//---------------------------------------------------------------------------
#pragma hdrstop
#include "SendMsgFunctions.h"   //     
#include "MainProgram.h"        //      
//---------------------------------------------------------------------------
#pragma package(smart_init)
//---------------------------------------------------------------------------
//---   -------------------------------------------------
//---------------------------------------------------------------------------
unsigned char LangNum;          //      
//---------------------------------------------------------------------------
//---        ------------------------------
//---------------------------------------------------------------------------
void SendMsgToLogForm(unsigned int MsgNum)
{ unsigned int LMCode;          // ,   = LangNum,   - MsgNum

  //----------------------------------------------------------------------------
  //   -   ---------------------------------------
  //----------------------------------------------------------------------------
  AnsiString   EN_MSG_1  = "ROM line is not selected.";
  AnsiString   EN_MSG_2  = "Error. The COM-port is not available.";
  AnsiString   EN_MSG_3  = "No selected chips.";
  AnsiString   EN_MSG_4  = "The COM-port is open.";
  AnsiString   EN_MSG_5  = "The COM-port is close.";
  AnsiString   EN_MSG_6  = "Error getting the COM-port parameters.";
  AnsiString   EN_MSG_7  = "Error setting the COM-port parameters.";
  AnsiString   EN_MSG_8  = "Gateway configuration error.";
  AnsiString   EN_MSG_9  = "1-wire device search started.";
  AnsiString   EN_MSG_10 = "1-wire device search completed successfully.";
  AnsiString   EN_MSG_11 = "Error loading the packet.";
  AnsiString   EN_MSG_12 = "Two ones were read from the bus.";
  AnsiString   EN_MSG_13 = "CRC8 .";
  AnsiString   EN_MSG_14 = "CRC8 Error.";
  AnsiString   EN_MSG_15 = "CRC16 .";
  AnsiString   EN_MSG_16 = "CRC16 Error.";
  AnsiString   EN_MSG_17 = "Unknown chip selected.";
  AnsiString   EN_MSG_18 = "This is 8086/80186 HEX-file.";
  AnsiString   EN_MSG_19 = "This is 80386 HEX-file.";
  AnsiString   EN_MSG_20 = "Invalid file format.";
  AnsiString   EN_MSG_21 = "Error receiving the packet.";
  AnsiString   EN_MSG_22 = "Loading data from the BIN-file to memory.";
  AnsiString   EN_MSG_23 = "Loading data from the HEX-file to memory.";
  AnsiString   EN_MSG_24 = "Saving data from memory to the BIN-file.";
  AnsiString   EN_MSG_25 = "Saving data from memory to the HEX-file.";
  AnsiString   EN_MSG_26 = "This chip has no memory.";
  AnsiString   EN_MSG_27 = "An error occured during data transferring.";
  AnsiString   EN_MSG_28 = "Control byte is invalid.";

  AnsiString   EN_MSG_103 = "The cyclic polling has started.";
  AnsiString   EN_MSG_104 = "The cyclic polling has stopped.";
  AnsiString   EN_MSG_105 = "Error. Writing data has failed.";
  AnsiString   EN_MSG_106 = "Success. Data have written.";
  AnsiString   EN_MSG_107 = "Error. Reading has failed.";
  AnsiString   EN_MSG_108 = "Success. Data have read.";
  AnsiString   EN_MSG_109 = "Error. Copying has failed.";
  AnsiString   EN_MSG_110 = "Success. Copying has done.";
  AnsiString   EN_MSG_111 = "Error. Separate power supply is required.";
  AnsiString   EN_MSG_112 = "Parasite power supply is in using.";
  AnsiString   EN_MSG_113 = "Separate power supply is in using.";
  AnsiString   EN_MSG_114 = "The power source could not be determined.";
  AnsiString   EN_MSG_115 = "Operation has cancelled.";
  AnsiString   EN_MSG_116 = "Writing into the scratchpad is starting.";
  AnsiString   EN_MSG_117 = "Reading from the scratchpad is starting.";
  AnsiString   EN_MSG_118 = "Copying from the scratchpad to the EEPROM is starting.";
  AnsiString   EN_MSG_119 = "Cyclic polling is starting.";
  AnsiString   EN_MSG_120 = "Writing data into the Application Register is starting.";
  AnsiString   EN_MSG_121 = "Writing data into the EEPROM is starting.";
  AnsiString   EN_MSG_122 = "Writing the register page into the EEPROM is starting.";
  AnsiString   EN_MSG_123 = "The cyclic polling is stopping.";
  AnsiString   EN_MSG_124 = "Reading from the EEPROM is starting.";
  AnsiString   EN_MSG_125 = "Register page reading from the EEPROM is starting.";
  AnsiString   EN_MSG_126 = "Power supply mode reading is starting.";
  AnsiString   EN_MSG_127 = "Status register reading is starting.";
  AnsiString   EN_MSG_128 = "Application register reading is starting.";
  AnsiString   EN_MSG_129 = "Application Register copying to OTP is starting.";
  AnsiString   EN_MSG_130 = "\"Write Scratchpad\" button is for writing from the scratchpad to the chip bytes 2 (TH) & 3 (TL).";
  AnsiString   EN_MSG_131 = "\"Write Scratchpad\" button is for writing from the scratchpad to the chip bytes 2 (TH), 3 (TL) & 4 (Config).";
  AnsiString   EN_MSG_132 = "For every area: low 8 bytes - ID field, next 8 bytes - PASSWORD field, all other bytes - SECURE DATA.";
  AnsiString   EN_MSG_133 = "You did not select any areas for which you want to do pointed action (no checked checkboxes).";
  AnsiString   EN_MSG_134 = "Writing key data is starting.";
  AnsiString   EN_MSG_135 = "Reading key data is starting.";
  AnsiString   EN_MSG_136 = "Writing key ID and Password is starting.";
  AnsiString   EN_MSG_137 = "Reading state is starting.";
  AnsiString   EN_MSG_138 = "Toggling is starting.";
  AnsiString   EN_MSG_139 = "Success. Toggle has done.";
  AnsiString   EN_MSG_140 = "Error. Toggling has failed.";
  AnsiString   EN_MSG_141 = "Low byte (0x0000) - ontrol, next 4 bytes (0x0001:0x0004) - Counter.";
  AnsiString   EN_MSG_142 = "Writing data is starting.";
  AnsiString   EN_MSG_143 = "Reading data is starting.";
  AnsiString   EN_MSG_144 = "Writing Timekeeping Registers is starting.";
  AnsiString   EN_MSG_145 = "Not selected, which of Timekeeping Registers needs to be written/read.";
  AnsiString   EN_MSG_146 = "Reading Timekeeping Registers is starting.";
  AnsiString   EN_MSG_147 = "First 4 bytes of Counters area - page 12 counter, next 4 bytes - page 13 counter, next bytes - page 14 and 15 counters respectively.";
  AnsiString   EN_MSG_148 = "Tamper-byte is not equal to 0x55 (factory setting).";
  AnsiString   EN_MSG_149 = "Command executing is starting.";
  AnsiString   EN_MSG_150 = "Command executing completed with an error.";
  AnsiString   EN_MSG_151 = "Command executing completed successfully.";
  AnsiString   EN_MSG_152 = "There must be only one key on the 1-Wire bus.";
  AnsiString   EN_MSG_153 = "Writing new ROM is starting.";
  AnsiString   EN_MSG_154 = "Reading ROM is starting.";

  AnsiString   EN_MSG_200 = "Chip DS18S20 is selected.";
  AnsiString   EN_MSG_201 = "Chip DS2430A is selected.";
  AnsiString   EN_MSG_202 = "Chip DS24B33 is selected.";
  AnsiString   EN_MSG_203 = "Chip DS18B20 is selected.";
  AnsiString   EN_MSG_204 = "Chip DS2431 is selected.";
  AnsiString   EN_MSG_205 = "Chip DS1991 is selected.";
  AnsiString   EN_MSG_206 = "Chip DS1425 is selected.";
  AnsiString   EN_MSG_207 = "Chip DS1992 is selected.";
  AnsiString   EN_MSG_208 = "Chip DS1993 is selected.";
  AnsiString   EN_MSG_209 = "Chip DS1995 is selected.";
  AnsiString   EN_MSG_210 = "Chip DS1996 is selected.";
  AnsiString   EN_MSG_211 = "Chip DS2405 is selected.";
  AnsiString   EN_MSG_212 = "Chip DS1822 is selected.";
  AnsiString   EN_MSG_213 = "Chip DS2415 is selected.";
  AnsiString   EN_MSG_214 = "Chip DS2417 is selected.";
  AnsiString   EN_MSG_215 = "Chip DS1994 is selected.";
  AnsiString   EN_MSG_216 = "Chip DS1963L is selected.";
  AnsiString   EN_MSG_217 = "Chip DS2423 is selected.";
  AnsiString   EN_MSG_218 = "Chip DS1427 is selected.";
  AnsiString   EN_MSG_219 = "Chip DS2890 is selected.";
  AnsiString   EN_MSG_220 = "Chip RW1990 is selected.";
  //----------------------------------------------------------------------------
  //   -   ------------------------------------------
  //----------------------------------------------------------------------------
  AnsiString   RU_MSG_1  = "  ,  ROM.";
  AnsiString   RU_MSG_2  = ". COM- .";
  AnsiString   RU_MSG_3  = "    .";
  AnsiString   RU_MSG_4  = "COM- .";
  AnsiString   RU_MSG_5  = "COM- .";
  AnsiString   RU_MSG_6  = "   COM-.";
  AnsiString   RU_MSG_7  = "   COM-.";
  AnsiString   RU_MSG_8  = "  .";
  AnsiString   RU_MSG_9  = "  1-wire .";
  AnsiString   RU_MSG_10 = " 1-wire   .";
  AnsiString   RU_MSG_11 = "  .";
  AnsiString   RU_MSG_12 = "  1-wire  2 .";
  AnsiString   RU_MSG_13 = "CRC8 Ok.";
  AnsiString   RU_MSG_14 = " CRC8.";
  AnsiString   RU_MSG_15 = "CRC16 .";
  AnsiString   RU_MSG_16 = " CRC16.";
  AnsiString   RU_MSG_17 = "  .";
  AnsiString   RU_MSG_18 = " HEX-  8086/80186.";
  AnsiString   RU_MSG_19 = " HEX-  80386.";
  AnsiString   RU_MSG_20 = "  .";
  AnsiString   RU_MSG_21 = "  .";
  AnsiString   RU_MSG_22 = "   BIN-  .";
  AnsiString   RU_MSG_23 = "   HEX-  .";
  AnsiString   RU_MSG_24 = "     BIN-.";
  AnsiString   RU_MSG_25 = "     HEX-.";
  AnsiString   RU_MSG_26 = "    .";
  AnsiString   RU_MSG_27 = "     .";
  AnsiString   RU_MSG_28 = "  Control  .";

  AnsiString   RU_MSG_103 = "  .";
  AnsiString   RU_MSG_104 = "  .";
  AnsiString   RU_MSG_105 = ".    .";
  AnsiString   RU_MSG_106 = ".  .";
  AnsiString   RU_MSG_107 = ".   .";
  AnsiString   RU_MSG_108 = ".  .";
  AnsiString   RU_MSG_109 = ".   .";
  AnsiString   RU_MSG_110 = ".  .";
  AnsiString   RU_MSG_111 = ".   .";
  AnsiString   RU_MSG_112 = "  .";
  AnsiString   RU_MSG_113 = "  .";
  AnsiString   RU_MSG_114 = "    .";
  AnsiString   RU_MSG_115 = " .";
  AnsiString   RU_MSG_116 = "   .";
  AnsiString   RU_MSG_117 = "  .";
  AnsiString   RU_MSG_118 = "    EEPROM.";
  AnsiString   RU_MSG_119 = "  .";
  AnsiString   RU_MSG_120 = "   Application Register.";
  AnsiString   RU_MSG_121 = "    EEPROM.";
  AnsiString   RU_MSG_122 = "   EEPROM  .";
  AnsiString   RU_MSG_123 = "  .";
  AnsiString   RU_MSG_124 = "    EEPROM.";
  AnsiString   RU_MSG_125 = "   EEPROM  .";
  AnsiString   RU_MSG_126 = "   .";
  AnsiString   RU_MSG_127 = "   .";
  AnsiString   RU_MSG_128 = "    Application Register.";
  AnsiString   RU_MSG_129 = "  Application Register  OTP.";
  AnsiString   RU_MSG_130 = " \"Write Scratchpad\"       2 (TH) & 3 (TL) .";
  AnsiString   RU_MSG_131 = " \"Write Scratchpad\"       2 (TH), 3 (TL) & 4 (Config) .";
  AnsiString   RU_MSG_132 = "    8  -  ID,  8  -  PASSWORD,     - SECURE DATA.";
  AnsiString   RU_MSG_133 = "     ,       (    ).";
  AnsiString   RU_MSG_134 = "   .";
  AnsiString   RU_MSG_135 = "   .";
  AnsiString   RU_MSG_136 = "     .";
  AnsiString   RU_MSG_137 = "  .";
  AnsiString   RU_MSG_138 = " .";
  AnsiString   RU_MSG_139 = ".  .";
  AnsiString   RU_MSG_140 = ".   .";
  AnsiString   RU_MSG_141 = "  (0x0000) - ontrol,  4  (0x0001:0x0004) - Counter.";
  AnsiString   RU_MSG_142 = "  .";
  AnsiString   RU_MSG_143 = "  .";
  AnsiString   RU_MSG_144 = "  Timekeeping Registers.";
  AnsiString   RU_MSG_145 = " ,   Timekeeping Registers  /.";
  AnsiString   RU_MSG_146 = "  Timekeeping Registers.";
  AnsiString   RU_MSG_147 = " 4   Counters -   12,  4  -   13,   -   14  15 .";
  AnsiString   RU_MSG_148 = "Tamper-byte   0x55 ( ).";
  AnsiString   RU_MSG_149 = "  .";
  AnsiString   RU_MSG_150 = "    .";
  AnsiString   RU_MSG_151 = "   .";
  AnsiString   RU_MSG_152 = "       .";
  AnsiString   RU_MSG_153 = "   ROM.";
  AnsiString   RU_MSG_154 = "  ROM.";

  AnsiString   RU_MSG_200 = "  DS18S20.";
  AnsiString   RU_MSG_201 = "  DS2430A.";
  AnsiString   RU_MSG_202 = "  DS24B33.";
  AnsiString   RU_MSG_203 = "  DS18B20.";
  AnsiString   RU_MSG_204 = "  DS2431.";
  AnsiString   RU_MSG_205 = "  DS1991.";
  AnsiString   RU_MSG_206 = "  DS1425.";
  AnsiString   RU_MSG_207 = "  DS1992.";
  AnsiString   RU_MSG_208 = "  DS1993.";
  AnsiString   RU_MSG_209 = "  DS1995.";
  AnsiString   RU_MSG_210 = "  DS1996.";
  AnsiString   RU_MSG_211 = "  DS2405.";
  AnsiString   RU_MSG_212 = "  DS1822.";
  AnsiString   RU_MSG_213 = "  DS2415.";
  AnsiString   RU_MSG_214 = "  DS2417.";
  AnsiString   RU_MSG_215 = "  DS1994.";
  AnsiString   RU_MSG_216 = "  DS1963L.";
  AnsiString   RU_MSG_217 = "  DS2423.";
  AnsiString   RU_MSG_218 = "  DS1427.";
  AnsiString   RU_MSG_219 = "  DS2890.";
  AnsiString   RU_MSG_220 = "  RW1990.";
  //----------------------------------------------------------------------------
  //    -----------------------------------------------------
  //----------------------------------------------------------------------------
  //  32-        
  LMCode=LangNum;       LMCode=(LMCode<<24)+MsgNum;
  switch(LMCode)
  { //-------------------------------------------------------------------------------------
    //   = 0 -   -------------------------------------------------
    //-------------------------------------------------------------------------------------
    case 0x1:           Form1->RichEdit9->Lines->Add(EN_MSG_1);
                        break;
    case 0x2:           Form1->RichEdit9->Lines->Add(EN_MSG_2);
                        break;
    case 0x3:           Form1->RichEdit9->Lines->Add(EN_MSG_3);
                        break;
    case 0x4:           Form1->RichEdit9->Lines->Add(EN_MSG_4);
                        break;
    case 0x5:           Form1->RichEdit9->Lines->Add(EN_MSG_5);
                        break;
    case 0x6:           Form1->RichEdit9->Lines->Add(EN_MSG_6);
                        break;
    case 0x7:           Form1->RichEdit9->Lines->Add(EN_MSG_7);
                        break;
    case 0x8:           Form1->RichEdit9->Lines->Add(EN_MSG_8);
                        break;
    case 0x9:           Form1->RichEdit9->Lines->Add(EN_MSG_9);
                        break;
    case 0xA:           Form1->RichEdit9->Lines->Add(EN_MSG_10);
                        break;
    case 0xB:           Form1->RichEdit9->Lines->Add(EN_MSG_11);
                        break;
    case 0xC:           Form1->RichEdit9->Lines->Add(EN_MSG_12);
                        break;
    case 0xD:           Form1->RichEdit9->Lines->Add(EN_MSG_13);
                        break;
    case 0xE:           Form1->RichEdit9->Lines->Add(EN_MSG_14);
                        break;
    case 0xF:           Form1->RichEdit9->Lines->Add(EN_MSG_15);
                        break;
    case 0x10:          Form1->RichEdit9->Lines->Add(EN_MSG_16);
                        break;
    case 0x11:          Form1->RichEdit9->Lines->Add(EN_MSG_17);
                        break;
    case 0x12:          Form1->RichEdit9->Lines->Add(EN_MSG_18);
                        break;
    case 0x13:          Form1->RichEdit9->Lines->Add(EN_MSG_19);
                        break;
    case 0x14:          Form1->RichEdit9->Lines->Add(EN_MSG_20);
                        break;
    case 0x15:          Form1->RichEdit9->Lines->Add(EN_MSG_21);
                        break;
    case 0x16:          Form1->RichEdit9->Lines->Add(EN_MSG_22);
                        break;
    case 0x17:          Form1->RichEdit9->Lines->Add(EN_MSG_23);
                        break;
    case 0x18:          Form1->RichEdit9->Lines->Add(EN_MSG_24);
                        break;
    case 0x19:          Form1->RichEdit9->Lines->Add(EN_MSG_25);
                        break;
    case 0x1A:          Form1->RichEdit9->Lines->Add(EN_MSG_26);
                        break;
    case 0x1B:          Form1->RichEdit9->Lines->Add(EN_MSG_27);
                        break;
    case 0x1C:          Form1->RichEdit9->Lines->Add(EN_MSG_28);
                        break;

    case 0x67:          Form1->RichEdit9->Lines->Add(EN_MSG_103);
                        break;
    case 0x68:          Form1->RichEdit9->Lines->Add(EN_MSG_104);
                        break;
    case 0x69:          Form1->RichEdit9->Lines->Add(EN_MSG_105);
                        break;
    case 0x6A:          Form1->RichEdit9->Lines->Add(EN_MSG_106);
                        break;
    case 0x6B:          Form1->RichEdit9->Lines->Add(EN_MSG_107);
                        break;
    case 0x6C:          Form1->RichEdit9->Lines->Add(EN_MSG_108);
                        break;
    case 0x6D:          Form1->RichEdit9->Lines->Add(EN_MSG_109);
                        break;
    case 0x6E:          Form1->RichEdit9->Lines->Add(EN_MSG_110);
                        break;
    case 0x6F:          Form1->RichEdit9->Lines->Add(EN_MSG_111);
                        break;
    case 0x70:          Form1->RichEdit9->Lines->Add(EN_MSG_112);
                        break;
    case 0x71:          Form1->RichEdit9->Lines->Add(EN_MSG_113);
                        break;
    case 0x72:          Form1->RichEdit9->Lines->Add(EN_MSG_114);
                        break;
    case 0x73:          Form1->RichEdit9->Lines->Add(EN_MSG_115);
                        break;
    case 0x74:          Form1->RichEdit9->Lines->Add(EN_MSG_116);
                        break;
    case 0x75:          Form1->RichEdit9->Lines->Add(EN_MSG_117);
                        break;
    case 0x76:          Form1->RichEdit9->Lines->Add(EN_MSG_118);
                        break;
    case 0x77:          Form1->RichEdit9->Lines->Add(EN_MSG_119);
                        break;
    case 0x78:          Form1->RichEdit9->Lines->Add(EN_MSG_120);
                        break;
    case 0x79:          Form1->RichEdit9->Lines->Add(EN_MSG_121);
                        break;
    case 0x7A:          Form1->RichEdit9->Lines->Add(EN_MSG_122);
                        break;
    case 0x7B:          Form1->RichEdit9->Lines->Add(EN_MSG_123);
                        break;
    case 0x7C:          Form1->RichEdit9->Lines->Add(EN_MSG_124);
                        break;
    case 0x7D:          Form1->RichEdit9->Lines->Add(EN_MSG_125);
                        break;
    case 0x7E:          Form1->RichEdit9->Lines->Add(EN_MSG_126);
                        break;
    case 0x7F:          Form1->RichEdit9->Lines->Add(EN_MSG_127);
                        break;
    case 0x80:          Form1->RichEdit9->Lines->Add(EN_MSG_128);
                        break;
    case 0x81:          Form1->RichEdit9->Lines->Add(EN_MSG_129);
                        break;
    case 0x82:          Form1->RichEdit9->Lines->Add(EN_MSG_130);
                        break;
    case 0x83:          Form1->RichEdit9->Lines->Add(EN_MSG_131);
                        break;
    case 0x84:          Form1->RichEdit9->Lines->Add(EN_MSG_132);
                        break;
    case 0x85:          Form1->RichEdit9->Lines->Add(EN_MSG_133);
                        break;
    case 0x86:          Form1->RichEdit9->Lines->Add(EN_MSG_134);
                        break;
    case 0x87:          Form1->RichEdit9->Lines->Add(EN_MSG_135);
                        break;
    case 0x88:          Form1->RichEdit9->Lines->Add(EN_MSG_136);
                        break;
    case 0x89:          Form1->RichEdit9->Lines->Add(EN_MSG_137);
                        break;
    case 0x8A:          Form1->RichEdit9->Lines->Add(EN_MSG_138);
                        break;
    case 0x8B:          Form1->RichEdit9->Lines->Add(EN_MSG_139);
                        break;
    case 0x8C:          Form1->RichEdit9->Lines->Add(EN_MSG_140);
                        break;
    case 0x8D:          Form1->RichEdit9->Lines->Add(EN_MSG_141);
                        break;
    case 0x8E:          Form1->RichEdit9->Lines->Add(EN_MSG_142);
                        break;
    case 0x8F:          Form1->RichEdit9->Lines->Add(EN_MSG_143);
                        break;
    case 0x90:          Form1->RichEdit9->Lines->Add(EN_MSG_144);
                        break;
    case 0x91:          Form1->RichEdit9->Lines->Add(EN_MSG_145);
                        break;
    case 0x92:          Form1->RichEdit9->Lines->Add(EN_MSG_146);
                        break;
    case 0x93:          Form1->RichEdit9->Lines->Add(EN_MSG_147);
                        break;
    case 0x94:          Form1->RichEdit9->Lines->Add(EN_MSG_148);
                        break;
    case 0x95:          Form1->RichEdit9->Lines->Add(EN_MSG_149);
                        break;
    case 0x96:          Form1->RichEdit9->Lines->Add(EN_MSG_150);
                        break;
    case 0x97:          Form1->RichEdit9->Lines->Add(EN_MSG_151);
                        break;
    case 0x98:          Form1->RichEdit9->Lines->Add(EN_MSG_152);
                        break;
    case 0x99:          Form1->RichEdit9->Lines->Add(EN_MSG_153);
                        break;
    case 0x9A:          Form1->RichEdit9->Lines->Add(EN_MSG_154);
                        break;

    case 0xC8:          Form1->RichEdit9->Lines->Add(EN_MSG_200);
                        break;
    case 0xC9:          Form1->RichEdit9->Lines->Add(EN_MSG_201);
                        break;
    case 0xCA:          Form1->RichEdit9->Lines->Add(EN_MSG_202);
                        break;
    case 0xCB:          Form1->RichEdit9->Lines->Add(EN_MSG_203);
                        break;
    case 0xCC:          Form1->RichEdit9->Lines->Add(EN_MSG_204);
                        break;
    case 0xCD:          Form1->RichEdit9->Lines->Add(EN_MSG_205);
                        break;
    case 0xCE:          Form1->RichEdit9->Lines->Add(EN_MSG_206);
                        break;
    case 0xCF:          Form1->RichEdit9->Lines->Add(EN_MSG_207);
                        break;
    case 0xD0:          Form1->RichEdit9->Lines->Add(EN_MSG_208);
                        break;
    case 0xD1:          Form1->RichEdit9->Lines->Add(EN_MSG_209);
                        break;
    case 0xD2:          Form1->RichEdit9->Lines->Add(EN_MSG_210);
                        break;
    case 0xD3:          Form1->RichEdit9->Lines->Add(EN_MSG_211);
                        break;
    case 0xD4:          Form1->RichEdit9->Lines->Add(EN_MSG_212);
                        break;
    case 0xD5:          Form1->RichEdit9->Lines->Add(EN_MSG_213);
                        break;
    case 0xD6:          Form1->RichEdit9->Lines->Add(EN_MSG_214);
                        break;
    case 0xD7:          Form1->RichEdit9->Lines->Add(EN_MSG_215);
                        break;
    case 0xD8:          Form1->RichEdit9->Lines->Add(EN_MSG_216);
                        break;
    case 0xD9:          Form1->RichEdit9->Lines->Add(EN_MSG_217);
                        break;
    case 0xDA:          Form1->RichEdit9->Lines->Add(EN_MSG_218);
                        break;
    case 0xDB:          Form1->RichEdit9->Lines->Add(EN_MSG_219);
                        break;
    case 0xDC:          Form1->RichEdit9->Lines->Add(EN_MSG_220);
                        break;
    //-------------------------------------------------------------------------------------
    //   = 1 -   ----------------------------------------------------
    //-------------------------------------------------------------------------------------
    case 0x100001:      Form1->RichEdit9->Lines->Add(RU_MSG_1);
                        break;
    case 0x100002:      Form1->RichEdit9->Lines->Add(RU_MSG_2);
                        break;
    case 0x100003:      Form1->RichEdit9->Lines->Add(RU_MSG_3);
                        break;
    case 0x100004:      Form1->RichEdit9->Lines->Add(RU_MSG_4);
                        break;
    case 0x100005:      Form1->RichEdit9->Lines->Add(RU_MSG_5);
                        break;
    case 0x100006:      Form1->RichEdit9->Lines->Add(RU_MSG_6);
                        break;
    case 0x100007:      Form1->RichEdit9->Lines->Add(RU_MSG_7);
                        break;
    case 0x100008:      Form1->RichEdit9->Lines->Add(RU_MSG_8);
                        break;
    case 0x100009:      Form1->RichEdit9->Lines->Add(RU_MSG_9);
                        break;
    case 0x10000A:      Form1->RichEdit9->Lines->Add(RU_MSG_10);
                        break;
    case 0x10000B:      Form1->RichEdit9->Lines->Add(RU_MSG_11);
                        break;
    case 0x10000C:      Form1->RichEdit9->Lines->Add(RU_MSG_12);
                        break;
    case 0x10000D:      Form1->RichEdit9->Lines->Add(RU_MSG_13);
                        break;
    case 0x10000E:      Form1->RichEdit9->Lines->Add(RU_MSG_14);
                        break;
    case 0x10000F:      Form1->RichEdit9->Lines->Add(RU_MSG_15);
                        break;
    case 0x100010:      Form1->RichEdit9->Lines->Add(RU_MSG_16);
                        break;
    case 0x100011:      Form1->RichEdit9->Lines->Add(RU_MSG_17);
                        break;
    case 0x100012:      Form1->RichEdit9->Lines->Add(RU_MSG_18);
                        break;
    case 0x100013:      Form1->RichEdit9->Lines->Add(RU_MSG_19);
                        break;
    case 0x100014:      Form1->RichEdit9->Lines->Add(RU_MSG_20);
                        break;
    case 0x100015:      Form1->RichEdit9->Lines->Add(RU_MSG_21);
                        break;
    case 0x100016:      Form1->RichEdit9->Lines->Add(RU_MSG_22);
                        break;
    case 0x100017:      Form1->RichEdit9->Lines->Add(RU_MSG_23);
                        break;
    case 0x100018:      Form1->RichEdit9->Lines->Add(RU_MSG_24);
                        break;
    case 0x100019:      Form1->RichEdit9->Lines->Add(RU_MSG_25);
                        break;
    case 0x10001A:      Form1->RichEdit9->Lines->Add(RU_MSG_26);
                        break;
    case 0x10001B:      Form1->RichEdit9->Lines->Add(RU_MSG_27);
                        break;
    case 0x10001C:      Form1->RichEdit9->Lines->Add(RU_MSG_28);
                        break;

    case 0x100067:      Form1->RichEdit9->Lines->Add(RU_MSG_103);
                        break;
    case 0x100068:      Form1->RichEdit9->Lines->Add(RU_MSG_104);
                        break;
    case 0x100069:      Form1->RichEdit9->Lines->Add(RU_MSG_105);
                        break;
    case 0x10006A:      Form1->RichEdit9->Lines->Add(RU_MSG_106);
                        break;
    case 0x10006B:      Form1->RichEdit9->Lines->Add(RU_MSG_107);
                        break;
    case 0x10006C:      Form1->RichEdit9->Lines->Add(RU_MSG_108);
                        break;
    case 0x10006D:      Form1->RichEdit9->Lines->Add(RU_MSG_109);
                        break;
    case 0x10006E:      Form1->RichEdit9->Lines->Add(RU_MSG_110);
                        break;
    case 0x10006F:      Form1->RichEdit9->Lines->Add(RU_MSG_111);
                        break;
    case 0x100070:      Form1->RichEdit9->Lines->Add(RU_MSG_112);
                        break;
    case 0x100071:      Form1->RichEdit9->Lines->Add(RU_MSG_113);
                        break;
    case 0x100072:      Form1->RichEdit9->Lines->Add(RU_MSG_114);
                        break;
    case 0x100073:      Form1->RichEdit9->Lines->Add(RU_MSG_115);
                        break;
    case 0x100074:      Form1->RichEdit9->Lines->Add(RU_MSG_116);
                        break;
    case 0x100075:      Form1->RichEdit9->Lines->Add(RU_MSG_117);
                        break;
    case 0x100076:      Form1->RichEdit9->Lines->Add(RU_MSG_118);
                        break;
    case 0x100077:      Form1->RichEdit9->Lines->Add(RU_MSG_119);
                        break;
    case 0x100078:      Form1->RichEdit9->Lines->Add(RU_MSG_120);
                        break;
    case 0x100079:      Form1->RichEdit9->Lines->Add(RU_MSG_121);
                        break;
    case 0x10007A:      Form1->RichEdit9->Lines->Add(RU_MSG_122);
                        break;
    case 0x10007B:      Form1->RichEdit9->Lines->Add(RU_MSG_123);
                        break;
    case 0x10007C:      Form1->RichEdit9->Lines->Add(RU_MSG_124);
                        break;
    case 0x10007D:      Form1->RichEdit9->Lines->Add(RU_MSG_125);
                        break;
    case 0x10007E:      Form1->RichEdit9->Lines->Add(RU_MSG_126);
                        break;
    case 0x10007F:      Form1->RichEdit9->Lines->Add(RU_MSG_127);
                        break;
    case 0x100080:      Form1->RichEdit9->Lines->Add(RU_MSG_128);
                        break;
    case 0x100081:      Form1->RichEdit9->Lines->Add(RU_MSG_129);
                        break;
    case 0x100082:      Form1->RichEdit9->Lines->Add(RU_MSG_130);
                        break;
    case 0x100083:      Form1->RichEdit9->Lines->Add(RU_MSG_131);
                        break;
    case 0x100084:      Form1->RichEdit9->Lines->Add(RU_MSG_132);
                        break;
    case 0x100085:      Form1->RichEdit9->Lines->Add(RU_MSG_133);
                        break;
    case 0x100086:      Form1->RichEdit9->Lines->Add(RU_MSG_134);
                        break;
    case 0x100087:      Form1->RichEdit9->Lines->Add(RU_MSG_135);
                        break;
    case 0x100088:      Form1->RichEdit9->Lines->Add(RU_MSG_136);
                        break;
    case 0x100089:      Form1->RichEdit9->Lines->Add(RU_MSG_137);
                        break;
    case 0x10008A:      Form1->RichEdit9->Lines->Add(RU_MSG_138);
                        break;
    case 0x10008B:      Form1->RichEdit9->Lines->Add(RU_MSG_139);
                        break;
    case 0x10008C:      Form1->RichEdit9->Lines->Add(RU_MSG_140);
                        break;
    case 0x10008D:      Form1->RichEdit9->Lines->Add(RU_MSG_141);
                        break;
    case 0x10008E:      Form1->RichEdit9->Lines->Add(RU_MSG_142);
                        break;
    case 0x10008F:      Form1->RichEdit9->Lines->Add(RU_MSG_143);
                        break;
    case 0x100090:      Form1->RichEdit9->Lines->Add(RU_MSG_144);
                        break;
    case 0x100091:      Form1->RichEdit9->Lines->Add(RU_MSG_145);
                        break;
    case 0x100092:      Form1->RichEdit9->Lines->Add(RU_MSG_146);
                        break;
    case 0x100093:      Form1->RichEdit9->Lines->Add(RU_MSG_147);
                        break;
    case 0x100094:      Form1->RichEdit9->Lines->Add(RU_MSG_148);
                        break;
    case 0x100095:      Form1->RichEdit9->Lines->Add(RU_MSG_149);
                        break;
    case 0x100096:      Form1->RichEdit9->Lines->Add(RU_MSG_150);
                        break;
    case 0x100097:      Form1->RichEdit9->Lines->Add(RU_MSG_151);
                        break;
    case 0x100098:      Form1->RichEdit9->Lines->Add(RU_MSG_152);
                        break;
    case 0x100099:      Form1->RichEdit9->Lines->Add(RU_MSG_153);
                        break;
    case 0x10009A:      Form1->RichEdit9->Lines->Add(RU_MSG_154);
                        break;

    case 0x1000C8:      Form1->RichEdit9->Lines->Add(RU_MSG_200);
                        break;
    case 0x1000C9:      Form1->RichEdit9->Lines->Add(RU_MSG_201);
                        break;
    case 0x1000CA:      Form1->RichEdit9->Lines->Add(RU_MSG_202);
                        break;
    case 0x1000CB:      Form1->RichEdit9->Lines->Add(RU_MSG_203);
                        break;
    case 0x1000CC:      Form1->RichEdit9->Lines->Add(RU_MSG_204);
                        break;
    case 0x1000CD:      Form1->RichEdit9->Lines->Add(RU_MSG_205);
                        break;
    case 0x1000CE:      Form1->RichEdit9->Lines->Add(RU_MSG_206);
                        break;
    case 0x1000CF:      Form1->RichEdit9->Lines->Add(RU_MSG_207);
                        break;
    case 0x1000D0:      Form1->RichEdit9->Lines->Add(RU_MSG_208);
                        break;
    case 0x1000D1:      Form1->RichEdit9->Lines->Add(RU_MSG_209);
                        break;
    case 0x1000D2:      Form1->RichEdit9->Lines->Add(RU_MSG_210);
                        break;
    case 0x1000D3:      Form1->RichEdit9->Lines->Add(RU_MSG_211);
                        break;
    case 0x1000D4:      Form1->RichEdit9->Lines->Add(RU_MSG_212);
                        break;
    case 0x1000D5:      Form1->RichEdit9->Lines->Add(RU_MSG_213);
                        break;
    case 0x1000D6:      Form1->RichEdit9->Lines->Add(RU_MSG_214);
                        break;
    case 0x1000D7:      Form1->RichEdit9->Lines->Add(RU_MSG_215);
                        break;
    case 0x1000D8:      Form1->RichEdit9->Lines->Add(RU_MSG_216);
                        break;
    case 0x1000D9:      Form1->RichEdit9->Lines->Add(RU_MSG_217);
                        break;
    case 0x1000DA:      Form1->RichEdit9->Lines->Add(RU_MSG_218);
                        break;
    case 0x1000DB:      Form1->RichEdit9->Lines->Add(RU_MSG_219);
                        break;
    case 0x1000DC:      Form1->RichEdit9->Lines->Add(RU_MSG_220);
                        break;
    //-------------------------------------------------------------------------------------
    //   -----------------------------------------------------------------------
    //-------------------------------------------------------------------------------------
    default:            break;
  }
}
//---------------------------------------------------------------------------
 