//---------------------------------------------------------------------------
#ifndef DS18B20H
#define DS18B20H
//---------------------------------------------------------------------------
#include <Classes.hpp>
//---------------------------------------------------------------------------
//        
struct  DS18B20_OUTPUT_DATA{    unsigned char Test;             //  
                                bool Success;};                 //    

DS18B20_OUTPUT_DATA DS18B20_WriteToScratchpad();                //    Scratchpad (0x4E) (   1)
DS18B20_OUTPUT_DATA DS18B20_ReadFromScratchpad();               //    Scratchpad (0xBE) (   1)
DS18B20_OUTPUT_DATA DS18B20_CopyScratchpadToMemory();           //    Scratchpad  EEPROM (0x48)
DS18B20_OUTPUT_DATA DS18B20_RecallE2();                         //  TH, TL  Config  EEPROM   (0xB8)
DS18B20_OUTPUT_DATA DS18B20_ReadPowerSupply();                  //    Power (0xB4)
DS18B20_OUTPUT_DATA DS18B20_ConvertT();                         //   (0x44)
float DS18B20_DecodeTemperature();                              //      
void DS18B20_DecodeConfigAndThresholds();                       //         
//---------------------------------------------------------------------------
#endif
 