//---------------------------------------------------------------------------
#ifndef DS1963LH
#define DS1963LH
//---------------------------------------------------------------------------
#include <Classes.hpp>
//---------------------------------------------------------------------------
//        
struct  DS1963L_INPUT_DATA{     unsigned char TA1;              //   
                                unsigned char TA2;              //   
                                unsigned char ES;               //  
                                unsigned int  Size;             //     
                                unsigned int  AreaNumber;};     //          
//        
struct  DS1963L_OUTPUT_DATA{    unsigned char TA1;              //   
                                unsigned char TA2;              //   
                                unsigned char ES;               //  
                                unsigned char Test;             //  
                                bool Success;};                 //    

DS1963L_OUTPUT_DATA DS1963L_WriteToScratchpad(DS1963L_INPUT_DATA);      //    Scratchpad (0x0F) (  1, 2)
DS1963L_OUTPUT_DATA DS1963L_ReadFromScratchpad();                       //    Scratchpad (0xAA) (   2)
DS1963L_OUTPUT_DATA DS1963L_CopyScratchpadToMemory(DS1963L_INPUT_DATA); //    Scratchpad  EEPROM (0x5A)
DS1963L_OUTPUT_DATA DS1963L_ReadFromMemory(DS1963L_INPUT_DATA);         //     (0xF0) (   1)
DS1963L_OUTPUT_DATA DS1963L_ReadFromMemoryC(DS1963L_INPUT_DATA);        //       (0xA5) (   1 +    3)
//---------------------------------------------------------------------------
#endif
 